/* pop up 樣式 */
.searchcolor .modal {
    display: none;
    position: fixed;
    z-index: 999;
    padding: 3% 0;
    left: 0;
    top: 0;
    width: 100%;
    height: 100dvh;
    /* 雙scroll*/
    overflow: hidden;
    background-color: #0f1940d9;
      /* 115 0312 修正遮罩層觸發底層滾動異常 */
    overscroll-behavior: none; /* 新增 */
    touch-action: none; /* 新增：鎖死外層觸控 */
}

/* 1150309  */
/* 關閉按鈕 (Global Close) */
/*search pop up 新增樣式 */
.searchcolor .close {
    font-size: 50px;
    font-weight: 500;
    display: block;
    text-align: right;
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-weight: 500;
    cursor: pointer;
    z-index: 11;
}
 
 /* 捲軸樣式 */
 .search-popup {
    background: #fefefe;
    margin: 0vh auto;
    padding: 0 20px;
    border-radius: 20px;
    max-width: 1000px;
    overflow-y: auto;
    max-height: 90vh;
    position: relative;
    overflow-x: hidden;
    height: -webkit-fill-available;
}
/* 針對 Webkit 瀏覽器 (Chrome, Edge, Safari) */
.search-popup::-webkit-scrollbar {
    width: 8px; /* 捲軸寬度 */
}

.search-popup::-webkit-scrollbar-track {
    background: transparent; /* 軌道透明，這樣就不會擋住圓角 */
    margin: 10px 0; /* 讓捲軸上下縮進，避開圓角弧度 */
}

.search-popup::-webkit-scrollbar-thumb {
    background: #ccc; /* 捲軸顏色 */
    border-radius: 10px; /* 捲軸本身也做圓角 */
}

.search-popup h3 {
    color: #4D4D4D;
    font-size: 2.3em;
    font-weight: 500;
    margin: 0 auto;
    text-align: center;
    letter-spacing: .025em;
    background: none;
    padding: 10px 100px 0 100px;
}

/* Modal Content */
.search-popup h4 {
    font-weight: 400;
    padding: 10px 100px;
    font-size: 1.2em;
}

.search-popup img.pop_title {
    width: 300px;
    margin: 50px auto 0 auto;
    text-align: center;
    display: block;
}

.search-popup p {
    line-height: 1.6em;
    padding: 0 100px;
    text-align: justify;
}

/* 高中單元新增樣式 */
.archr {
    background: #fefefe;
    margin: auto;
    padding: 20px 30px 20px 30px;
    border-radius: 20px;
    width: 80%;
}

.archr.shbg {
    /* background: #fff url(../images/com_bg.svg) no-repeat center;
    background-size: cover; */

}

.archr .videoplay {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

}

.archr .videoplay iframe {
    margin: 10px auto;
    display: block;
    /* width: 100%; */
    max-height: 500px;
    max-width: 1280px;
    /* height: 100vh; */
}

/* .search-popup {
    background-color: #fefefe;
    margin: auto;
    padding:0;
    border-radius: 20px;
    width: 100%;
    min-height: 500px;
    height: 85vh;
} */

.search-popup h3 {
    color: #FF5653;
    font-size: 2.2em;
    font-weight: 300;
    margin: 0 auto 10px auto;
    text-align: center;
    padding: 10px 0;
}

.search-popup h4 {
    margin: 0 auto;
    font-weight: 800;
    padding: 10px 0;
    /* text-align: center; */
}

.search-popup h4.error {
    margin: 0 0 10px 0;
    font-weight: 800;
    padding: 10px 0;
    font-size: 1.6em;

}

.search-popup h5 {
    padding: 0 0;
    margin: 10px auto 5px auto;
}

.search-popup p {

    padding: 0 2em;

}

.search-popup p span {
    font-size: .8em;
    background: #EAEAEA;
    padding: 5px 10px;
    border-radius: .25em;
}

.search-popup p b {
    color: #FF5653;
}

.search-popup hr {
    border: solid thin #ececec;
    margin: 20px auto;
}

.search-popup ul li {
    list-style-type: decimal;
    margin-left: 20px;

}

.search-popup ul li ul li {
    list-style-type: lower-alpha;
    margin-left: 25px;

}

.modal a,
.modal a:hover {
    color: #0074D2;
}

/* 高中頁面效果 */
.search-popup .title-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px auto;

}

.search-popup .title-header h2 {
    font-size: 40px;
    color: #00479B;
}

.search-popup .title-header h4 {
    font-size: 18px;
    color: #00479B;
}

.close:hover,
.close:focus {
    color: #A7D7FF;
    text-decoration: none;
    cursor: pointer;
}
.btn-box {
    display: block;
}
.btn {
    text-align: center;
    display: flow-root;
    margin: .8em auto 0 auto;
}

.btn span {
    background-color: #0a65c2;
    border-style: solid;
    border-width: 0px;
    cursor: pointer;
    font-weight: normal;
    line-height: normal;
    margin: 1em 1.25em;
    position: relative;
    text-decoration: none;
    text-align: center;
    transition: background-color 300ms ease-out;
    padding: 10px 30px;
    border-radius: 6px;
    display: inline-block;
    color: #fff;
    font-weight: 600;
}

/* rwd 表格 */
/* 115 0306 修改 */
#tablerwd-search_box{
    position: relative; 
    overflow: visible; /* ✅ 確保 sticky 標題可以正常作用 */
}

.table_rwd_searsh {
    width: 100%;
    min-width: 260px;
}

.table_rwd_searsh tr th {
    border: 2px solid #A7D7FF;
}

.table_rwd_searsh tr:hover {
    background-color: #eef2ff80;
}
 
/* 115 0305 修改 */
.table_rwd_searsh tr th {
    background-color: #A7D7FF;
    padding: 10px;
    border: 1px solid #fff;
    border-collapse: collapse;
    position: sticky;
    top: 75px;
        /* 讓它直接貼在搜尋框底部的容器頂端 */
    z-index: 2; /* 提高層級，確保不會被資料列穿透 */
}

.table_rwd_searsh th.checkbox {
    width: 5%;
    text-align: center;
}

.table_rwd_searsh th.id {
    width: 65%;
}

.table_rwd_searsh th.size {
    width: 10%;
}

.table_rwd_searsh td {
    padding: 10px 10px;
    border: 1px solid #ddd;
    border-collapse: collapse;
    text-align: center;
}

.table_rwd_searsh td span {
    display: block;
    cursor: pointer;
    text-align: center;
}

.table_rwd_searsh td strong input {
    text-align: center;
    display: block;
    margin: 0 auto;
}

.table_rwd_searsh td strong {
    display: block;
    cursor: pointer;
    text-align: left;
    font-weight: normal;

}

/*input*/
input,
select,
textarea {
    outline: none;
    border: none;
}

/* 開啟pop up新視窗頁面*/
.overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    background-color: #0f1940d9;
    transition: opacity 500ms;
    visibility: hidden;
    /* opacity: 0; */
    z-index: 999;
}

.overlay:target {
    visibility: visible;
    opacity: 1;
}


.search-popup.color {
    background: #F6F6F6;
}

ul.leaderbar-nav {
    min-width: 100%;
    /* display: flex;
    justify-content: space-between; */
}

.search-popup nav ul li {
    margin: 0 5px;
    list-style-type: none !important;
    margin-left: 0 !important;
}

.search-popup .searchtitle {
    color: #254368;
    margin: 0 auto 20px auto;
    font-size: 26px;
    font-weight: 700;
    background: url(../images/icon_search.svg) no-repeat center left 20px;
    background-size: 3.5%;
    cursor: pointer;
    padding: 0 5px 0 65px;
    position: sticky;
    top: 0;
    z-index: 50;
    background-color: #fff !important;
    display: flex;
    align-items: center;
    height: 75px;
    justify-content: space-between;
    border-bottom: thin solid #eee;
}


.search-popup .searchbar {
    color: #3A3A3A;
    padding: 10px 0;
    text-align: left;
    font-size: 18px;
    border-radius: 8px;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /* gap: 10px; */
}

.search-popup input.s_90 {
    width:78%;
    border: thin solid #ebe9e9;
    -webkit-appearance: none;
    appearance: none;
    padding: 15px 15px;
    border-radius: 4px;
}

/* 2. 聚焦狀態 (Focus)：移除預設的藍色/黑色光暈外框 */
.search-popup input.s_90:focus {
    outline: none;
    /* 移除藍色外框線 */
    box-shadow: none;
    /* 移除陰影光暈 */
    border-color: #999;
    /* 聚焦時只讓邊框稍微變深，不發光 */
}

/* 3. 自動填入 (Autofill)：強制覆蓋瀏覽器記住密碼時的黃色/藍色背景 */
input:-internal-autofill-selected {
    background-color: #ebe9e9 !important;
    -webkit-box-shadow: 0 0 0px 1000px #ebe9e9 inset !important;
    /*以此強制蓋掉背景色*/
}

/* 4. 隱藏搜尋框預設的 'X' 清除按鈕 */
.search-popup input.s_90::-webkit-search-cancel-button {
    display: none;
}

.search-popup button.s_btn {
    background-color: #0A65C2;
    color: #fff;
    border-radius: 4px;
    font-weight: 400;
    margin: 0;
    font-size: .9em;
}

.search-popup article {
    margin: 0;
    /* border-top: thin solid #eeeef1; */
}

.search-popup article .file {
    margin: 16px auto;
    display: flex;
    justify-content: flex-end;
}

.search-popup article .file button {
    margin-left: 20px;
}

.search-popup ul li {
    list-style-type: decimal;
    margin-left: 20px;

}

/* --- 超大螢幕 (Ultra Wide) > 2400px --- */
@media screen and (min-width: 2400px) {
    .search-popup {
        width: 50%;
        max-width: 1000px;
    }

    .search-popup {
        /* 鎖定內容最大高度，不隨螢幕變高而變長 */
        max-height: auto;
    }
    /* 115 0306 修改 */
    #tablerwd-search_box {
        /* 鎖定表格高度 */
        max-height: max-content;
        height: auto;

    }
}

/* --- 桌機 (Desktop) > 1367px --- */
@media screen and (min-width: 1367px) {
    .search-popup {
        /* width: 60%; */
    }
    /* 115 0306 修改 */
    #tablerwd-search_box {
        /* max-height: 300px; */
    }
}

/* --- 平板/小筆電 (Tablet/Laptop) 769px ~ 1366px --- */
@media screen and (min-width: 769px) and (max-width: 1366px) {
    .table_rwd_searsh {
        font-size: 0.9em;
    }
}
@media screen and (min-width: 320px) and (max-width: 1024px) {
    .search-popup input.s_90{width: 74%;}
}

@media screen and (max-width:768px) {

    /* rwd 表格 */
    .table_rwd_searsh-3 tr {
        display: block;
        margin-top: 10px;
        border: none;
    }

    .table_rwd_searsh-3 th {
        display: none;
    }

    .table_rwd_searsh-3 td {
        padding: 0;
        line-height: 2em;
        display: flex;
        background-color: #eee;
        border: 1px solid #fff;
    }

    .table_rwd_searsh-3 td.checkbox {
        display: none;
    }

    .table_rwd_searsh td span,
    .table_rwd_searsh td strong {
        text-align: left;
        width: 72%;
        padding: 10px 5px 10px 0;
        line-height: 1.5em;
    }

    .table_rwd_searsh-3 td::before {
        content: attr(data-th) "";
        width: 6em;
        text-align: center;
        background-color: #A7D7FF;
        margin-right: .8em;
        align-items: center;
        display: flex;
        justify-content: center;
        font-weight: 400;
    }

    .search-popup {
        background: #fefefe;
        margin: auto;
        padding: 0 20px 50px 20px;
        border-radius: 20px;
        width: 90%;
        overflow: auto;
        overflow-x: hidden;
        max-height: 95dvh;
    }

    .search-popup .searchtitle {
        font-size: 24px;
        background: url(../images/icon_search.svg) no-repeat center left 0px;
        background-size: 6.5%;
        height: 65px;
        padding: 0 0 0 40px;
    }

    .search-popup .searchbar {
        flex-direction: column;
        padding: 0;
        gap:initial;
    }

    .search-popup input.s_90 {
        width: 100%;
        margin: 5px auto;
        padding: 10px 15px;
        width: 100%;
    }

    .search-popup button.s_btn {
        margin: 5px 0;
        padding: 10px;
    }


}

@media screen and (max-width:440px) {
    .close {
        font-size: 40px;
    }

    .search-popup .searchtitle {
        font-size: 22px;
        background: url(../images/icon_search.svg) no-repeat center left 0px;
        background-size: 8%;
        height: 65px;
        padding: 0 0 0 35px;
    }
}